ShellShock: una amenaza muy temida para Mac OS X y Linux

Si en algún momento de tu vida te pasaste a los sistemas operativos de Mac o Linux, posiblemente lo harias por la seguridad que transmitían, frente a las vulnerabilidades de Windows. Sin embargo, en los últimos tiempos parece ser que los problemas de seguridad también son serios en los dos otros sistemas.

Publicidad

ShellShock

Se ha desvelado una amenaza llamada ShellShock, que puede terminar por ofrecer el total control del sistema operativo afectado a terceros con un esfuerzo relativamente pobre. Esto sucede tan sólo unos meses después de haber detectado otra amenaza llamada Heartbleed, para los mismos sistemas.

Publicidad

Para evitar problemas, se deberá actualizar el sistema en cuestión y así corregir el problema de vulnerabilidad en el que se encuentra actualmente.

Más peligroso que Heartbleed

A pesar de que inicialmente se ha considerado que ShellShock es una amenaza que podría compararse directamente con el temido Heartbleed, algunos personajes importantes como es el caso de Robert Graham, experto en seguridad, ha comentado que se trata de un problema mayor.

ShellShock es un problema de seguridad que lleva tiempo presente pero se había mantenido oculto hasta la fecha. La amenaza consiste en que a través de intérpetes de comandos Bash, se pueda conseguir el control del sistema operativo, siendo éstos mismos afectados, fáciles de ‘romper’.

La compañía que ha desarrollado el sistema Red Hat ha señalado que esta amenaza es fácil de encontrarla en los programas que ejecutan un intérpete de comandos Bash en segundo plano.

Una actualización necesaria

Para solucionar los problemas que pueda generar la amenaza, es necesario actualizar el sistema operativo afectado, un problema mayor al Heartbleed que está preocupando seriamente a los ususarios. No hay que olvidar que hace unos meses, el Heartbleed causó momentos de pánico.

Aunque la actualización sea necesaria para combatir la amenaza, parece ser que no todo está asegurado para nuestro sistema operativo si disponemos de Mac OS X o Linux, ya que el propio Graham ha apuntado que es posible que en la versión Mac OS X Mavericks 10.9.4 seguiría siendo vulnerable a ShellShock.

De este modo, aunque actualicemos el sistema operativo afectado a su última versión, no estamos a salvo de ShellShock, que desde luego ha terminado postulándose como una amenaza mayor a Heartbleed por el hecho de que se deberá actualizar una mayor cantidad de sistemas. Si usas un ordenador con sistema operativo Mac OS X o por lo contrario, Linux, puede que esté amenazado por ShellShock. Lo que debes hacer en este momento es actualizar a la máxima versión, y tener especialmente cuidado a la hora de guardar archivos, información o realizar tareas que podrían perjudicarte notablemente en el caso de que termine siendo atacado tu ordenador.

ShellShock ha conseguido atemorizar a los mismos responsables de los sistemas, de modo que están trabajando duro no sólo para combatirlo como ya ocurrió hace unos meses con la otra amenaza detectada, sino para que de cara a un futuro inmediato, no haya ningún otro problema con los sistemas de seguridad tanto de Mac OS X como de Linux.

ShellShock: una amenaza muy temida para Mac OS X y Linux
Vota este artículo

Artículos relacionados: